function [d,ai,a]=calcd(eps1,eps2,C,typ)
    epsv=[eps1;eps2];
    epsvV=sum(epsv);

    glam=C.glam;
    lam=C.lam;
    gc=C.gc;
    lc=C.lc;

    ai=epsv>0;
    a=epsvV>0;

    H=sum(glam*ai.*epsv.^2)+lam/2*a.*epsvV.^2;
    Ht=max(H-gc/2/lc,0);
    if contains(typ,'noEL')
        d=2*H./(gc/lc+2*H);
    else
        d=2*Ht./(gc/lc+2*Ht);
    end
end